Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

## Class ReportEntry3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_03.ReportEntry3

    public class ReportEntry3
    extends java.lang.Object

Java class for ReportEntry3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReportEntry3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NtryRef" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CreditDebitCode"/>
             <element name="RvslInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}TrueFalseIndicator" minOccurs="0"/>
             <element name="Sts" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}EntryStatus2Code"/>
             <element name="BookgDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}DateAndDateTimeChoice" minOccurs="0"/>
             <element name="ValDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}DateAndDateTimeChoice" minOccurs="0"/>
             <element name="AcctSvcrRef" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text" minOccurs="0"/>
             <element name="Avlbty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CashBalanceAvailability2" maxOccurs="unbounded" minOccurs="0"/>
             <element name="BkTxCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}BankTransactionCodeStructure4"/>
             <element name="ComssnWvrInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}YesNoIndicator" minOccurs="0"/>
             <element name="AddtlInfInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}MessageIdentification2" minOccurs="0"/>
             <element name="AmtDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}AmountAndCurrencyExchange3" minOccurs="0"/>
             <element name="Chrgs" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Charges3" maxOccurs="unbounded" minOccurs="0"/>
             <element name="TechInptChanl" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}TechnicalInputChannel1Choice" minOccurs="0"/>
             <element name="Intrst" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}TransactionInterest3" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CardTx" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}CardEntry1" minOccurs="0"/>
             <element name="NtryDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}EntryDetails2" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AddtlNtryInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max500Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `acctSvcrRef`
`protected MessageIdentification2` `addtlInfInd`
`protected java.lang.String` `addtlNtryInf`
`protected ActiveOrHistoricCurrencyAndAmount` `amt`
`protected AmountAndCurrencyExchange3` `amtDtls`
`protected java.util.List<CashBalanceAvailability2>` `avlbty`
`protected BankTransactionCodeStructure4` `bkTxCd`
`protected DateAndDateTimeChoice` `bookgDt`
`protected CardEntry1` `cardTx`
`protected CreditDebitCode` `cdtDbtInd`
`protected java.util.List<Charges3>` `chrgs`
`protected java.lang.Boolean` `comssnWvrInd`
`protected java.util.List<TransactionInterest3>` `intrst`
`protected java.util.List<EntryDetails2>` `ntryDtls`
`protected java.lang.String` `ntryRef`
`protected java.lang.Boolean` `rvslInd`
`protected EntryStatus2Code` `sts`
`protected TechnicalInputChannel1Choice` `techInptChanl`
`protected DateAndDateTimeChoice` `valDt`

### Constructor Summary

Constructors
`ReportEntry3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAcctSvcrRef()` Gets the value of the acctSvcrRef property.
`MessageIdentification2` `getAddtlInfInd()` Gets the value of the addtlInfInd property.
`java.lang.String` `getAddtlNtryInf()` Gets the value of the addtlNtryInf property.
`ActiveOrHistoricCurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`AmountAndCurrencyExchange3` `getAmtDtls()` Gets the value of the amtDtls property.
`java.util.List<CashBalanceAvailability2>` `getAvlbty()` Gets the value of the avlbty property.
`BankTransactionCodeStructure4` `getBkTxCd()` Gets the value of the bkTxCd property.
`DateAndDateTimeChoice` `getBookgDt()` Gets the value of the bookgDt property.
`CardEntry1` `getCardTx()` Gets the value of the cardTx property.
`CreditDebitCode` `getCdtDbtInd()` Gets the value of the cdtDbtInd property.
`java.util.List<Charges3>` `getChrgs()` Gets the value of the chrgs property.
`java.util.List<TransactionInterest3>` `getIntrst()` Gets the value of the intrst property.
`java.util.List<EntryDetails2>` `getNtryDtls()` Gets the value of the ntryDtls property.
`java.lang.String` `getNtryRef()` Gets the value of the ntryRef property.
`EntryStatus2Code` `getSts()` Gets the value of the sts property.
`TechnicalInputChannel1Choice` `getTechInptChanl()` Gets the value of the techInptChanl property.
`DateAndDateTimeChoice` `getValDt()` Gets the value of the valDt property.
`java.lang.Boolean` `isComssnWvrInd()` Gets the value of the comssnWvrInd property.
`java.lang.Boolean` `isRvslInd()` Gets the value of the rvslInd property.
`void` `setAcctSvcrRef​(java.lang.String value)` Sets the value of the acctSvcrRef property.
`void` `setAddtlInfInd​(MessageIdentification2 value)` Sets the value of the addtlInfInd property.
`void` `setAddtlNtryInf​(java.lang.String value)` Sets the value of the addtlNtryInf property.
`void` `setAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the amt property.
`void` `setAmtDtls​(AmountAndCurrencyExchange3 value)` Sets the value of the amtDtls property.
`void` `setBkTxCd​(BankTransactionCodeStructure4 value)` Sets the value of the bkTxCd property.
`void` `setBookgDt​(DateAndDateTimeChoice value)` Sets the value of the bookgDt property.
`void` `setCardTx​(CardEntry1 value)` Sets the value of the cardTx property.
`void` `setCdtDbtInd​(CreditDebitCode value)` Sets the value of the cdtDbtInd property.
`void` `setComssnWvrInd​(java.lang.Boolean value)` Sets the value of the comssnWvrInd property.
`void` `setNtryRef​(java.lang.String value)` Sets the value of the ntryRef property.
`void` `setRvslInd​(java.lang.Boolean value)` Sets the value of the rvslInd property.
`void` `setSts​(EntryStatus2Code value)` Sets the value of the sts property.
`void` `setTechInptChanl​(TechnicalInputChannel1Choice value)` Sets the value of the techInptChanl property.
`void` `setValDt​(DateAndDateTimeChoice value)` Sets the value of the valDt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ntryRef

    protected java.lang.String ntryRef

#### amt

    protected ActiveOrHistoricCurrencyAndAmount amt

#### cdtDbtInd

    protected CreditDebitCode cdtDbtInd

#### rvslInd

    protected java.lang.Boolean rvslInd

#### sts

    protected EntryStatus2Code sts

#### bookgDt

    protected DateAndDateTimeChoice bookgDt

#### valDt

    protected DateAndDateTimeChoice valDt

#### acctSvcrRef

    protected java.lang.String acctSvcrRef

#### avlbty

    protected java.util.List<CashBalanceAvailability2> avlbty

#### bkTxCd

    protected BankTransactionCodeStructure4 bkTxCd

#### comssnWvrInd

    protected java.lang.Boolean comssnWvrInd

#### addtlInfInd

    protected MessageIdentification2 addtlInfInd

#### amtDtls

    protected AmountAndCurrencyExchange3 amtDtls

#### chrgs

    protected java.util.List<Charges3> chrgs

#### techInptChanl

    protected TechnicalInputChannel1Choice techInptChanl

#### intrst

    protected java.util.List<TransactionInterest3> intrst

#### cardTx

    protected CardEntry1 cardTx

#### ntryDtls

    protected java.util.List<EntryDetails2> ntryDtls

#### addtlNtryInf

    protected java.lang.String addtlNtryInf

### Constructor Detail

#### ReportEntry3

    public ReportEntry3()

### Method Detail

#### getNtryRef

    public java.lang.String getNtryRef()

Gets the value of the ntryRef property.

Returns:
  possible object is `String`

#### setNtryRef

    public void setNtryRef​(java.lang.String value)

Sets the value of the ntryRef property.

Parameters:
  `value` - allowed object is `String`

#### getAmt

    public ActiveOrHistoricCurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setAmt

    public void setAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getCdtDbtInd

    public CreditDebitCode getCdtDbtInd()

Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

#### setCdtDbtInd

    public void setCdtDbtInd​(CreditDebitCode value)

Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

#### isRvslInd

    public java.lang.Boolean isRvslInd()

Gets the value of the rvslInd property.

Returns:
  possible object is `Boolean`

#### setRvslInd

    public void setRvslInd​(java.lang.Boolean value)

Sets the value of the rvslInd property.

Parameters:
  `value` - allowed object is `Boolean`

#### getSts

    public EntryStatus2Code getSts()

Gets the value of the sts property.

Returns:
  possible object is `EntryStatus2Code`

#### setSts

    public void setSts​(EntryStatus2Code value)

Sets the value of the sts property.

Parameters:
  `value` - allowed object is `EntryStatus2Code`

#### getBookgDt

    public DateAndDateTimeChoice getBookgDt()

Gets the value of the bookgDt property.

Returns:
  possible object is `DateAndDateTimeChoice`

#### setBookgDt

    public void setBookgDt​(DateAndDateTimeChoice value)

Sets the value of the bookgDt property.

Parameters:
  `value` - allowed object is `DateAndDateTimeChoice`

#### getValDt

    public DateAndDateTimeChoice getValDt()

Gets the value of the valDt property.

Returns:
  possible object is `DateAndDateTimeChoice`

#### setValDt

    public void setValDt​(DateAndDateTimeChoice value)

Sets the value of the valDt property.

Parameters:
  `value` - allowed object is `DateAndDateTimeChoice`

#### getAcctSvcrRef

    public java.lang.String getAcctSvcrRef()

Gets the value of the acctSvcrRef property.

Returns:
  possible object is `String`

#### setAcctSvcrRef

    public void setAcctSvcrRef​(java.lang.String value)

Sets the value of the acctSvcrRef property.

Parameters:
  `value` - allowed object is `String`

#### getAvlbty

    public java.util.List<CashBalanceAvailability2> getAvlbty()

Gets the value of the avlbty property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the avlbty property.

For example, to add a new item, do as follows:

        getAvlbty().add(newItem);

Objects of the following type(s) are allowed in the list `CashBalanceAvailability2`

#### getBkTxCd

    public BankTransactionCodeStructure4 getBkTxCd()

Gets the value of the bkTxCd property.

Returns:
  possible object is `BankTransactionCodeStructure4`

#### setBkTxCd

    public void setBkTxCd​(BankTransactionCodeStructure4 value)

Sets the value of the bkTxCd property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure4`

#### isComssnWvrInd

    public java.lang.Boolean isComssnWvrInd()

Gets the value of the comssnWvrInd property.

Returns:
  possible object is `Boolean`

#### setComssnWvrInd

    public void setComssnWvrInd​(java.lang.Boolean value)

Sets the value of the comssnWvrInd property.

Parameters:
  `value` - allowed object is `Boolean`

#### getAddtlInfInd

    public MessageIdentification2 getAddtlInfInd()

Gets the value of the addtlInfInd property.

Returns:
  possible object is `MessageIdentification2`

#### setAddtlInfInd

    public void setAddtlInfInd​(MessageIdentification2 value)

Sets the value of the addtlInfInd property.

Parameters:
  `value` - allowed object is `MessageIdentification2`

#### getAmtDtls

    public AmountAndCurrencyExchange3 getAmtDtls()

Gets the value of the amtDtls property.

Returns:
  possible object is `AmountAndCurrencyExchange3`

#### setAmtDtls

    public void setAmtDtls​(AmountAndCurrencyExchange3 value)

Sets the value of the amtDtls property.

Parameters:
  `value` - allowed object is `AmountAndCurrencyExchange3`

#### getChrgs

    public java.util.List<Charges3> getChrgs()

Gets the value of the chrgs property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the chrgs property.

For example, to add a new item, do as follows:

        getChrgs().add(newItem);

Objects of the following type(s) are allowed in the list `Charges3`

#### getTechInptChanl

    public TechnicalInputChannel1Choice getTechInptChanl()

Gets the value of the techInptChanl property.

Returns:
  possible object is `TechnicalInputChannel1Choice`

#### setTechInptChanl

    public void setTechInptChanl​(TechnicalInputChannel1Choice value)

Sets the value of the techInptChanl property.

Parameters:
  `value` - allowed object is `TechnicalInputChannel1Choice`

#### getIntrst

    public java.util.List<TransactionInterest3> getIntrst()

Gets the value of the intrst property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the intrst property.

For example, to add a new item, do as follows:

        getIntrst().add(newItem);

Objects of the following type(s) are allowed in the list `TransactionInterest3`

#### getCardTx

    public CardEntry1 getCardTx()

Gets the value of the cardTx property.

Returns:
  possible object is `CardEntry1`

#### setCardTx

    public void setCardTx​(CardEntry1 value)

Sets the value of the cardTx property.

Parameters:
  `value` - allowed object is `CardEntry1`

#### getNtryDtls

    public java.util.List<EntryDetails2> getNtryDtls()

Gets the value of the ntryDtls property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ntryDtls property.

For example, to add a new item, do as follows:

        getNtryDtls().add(newItem);

Objects of the following type(s) are allowed in the list `EntryDetails2`

#### getAddtlNtryInf

    public java.lang.String getAddtlNtryInf()

Gets the value of the addtlNtryInf property.

Returns:
  possible object is `String`

#### setAddtlNtryInf

    public void setAddtlNtryInf​(java.lang.String value)

Sets the value of the addtlNtryInf property.

Parameters:
  `value` - allowed object is `String`